List locations
GET /locations
GET
/locations
Returns a paginated list of all Australian locations (suburbs and postcodes). Results are paginated at 1000 per page. Use the next_page URL in the response to fetch subsequent pages.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
Example
1000Number of locations to return per page (default 1000)
Responses
Section titled “ Responses ”Paginated list of locations
object
code
integer
Example
200 locations
Array<object>
object
id
Unique location identifier
integer
Example
12345 postcode
Australian postcode (4 digits)
string
Example
2000 locality
Suburb or locality name (uppercase)
string
Example
SYDNEY state
Australian state or territory abbreviation
string
Example
NSW priority
Priority ranking for search result ordering
integer
Example
1 next_page
URL to the next page of results (only present if more pages exist)
string
Example
https://www.transdirect.com.au/api/locations/page/2 prev_page
URL to the previous page of results (only present on pages > 1)
string
Example
https://www.transdirect.com.au/api/locations/page/1